Bug 530981 (NetworkManagerAndThe, RestOfTheWorld) - mobile-wizard: need a "My country is not listed" option
Summary: mobile-wizard: need a "My country is not listed" option
Keywords:
Status: CLOSED WORKSFORME
Alias: NetworkManagerAndThe, RestOfTheWorld
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-26 11:39 UTC by Jean-Philippe
Modified: 2010-02-10 03:10 UTC (History)
2 users (show)

Fixed In Version: 1.20100122-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-26 00:51:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 599705 None None None Never

Description Jean-Philippe 2009-10-26 11:39:53 UTC
Description of problem:
[Wish] NM should _not_ display an incomplete list of countries/operators in a dumb 'hold-my-hand' configurator since not all of network operators out there aren't on the list anyway.

Version-Release number of selected component (if applicable):
F12beta

How reproducible:
Easy. Move yourself to Cambodia :D

Steps to Reproduce:
1. Buy a canoe
2. Stack your stuff in, row all the way up the Mekong River to Phnom Penh city.
3. Try to connect.
  
Actual results:
You have to do it manually, after the dumb "helping hand" has fooled you into something else from albania or uzbekistan.

Expected results:
Stray away from the Ubuntu way. Give control back to the user (or at least, a "I live in another country" button)

Additional info:

Feel free to point me to where I should submit settings for my portion of the planet. But it doesn't change a thing.

[It was a live session; currently reporting so much issues that I didn't care to keep it up, sorry - well, especially with no network anyway. If given enough instructions, I can give it another go of course]

Jean-Philippe

Comment 1 Dan Williams 2009-10-26 21:46:09 UTC
You can submit them here, and then I can add the mobile operators to the database.  

Good point though, we should allow a "my country is not listed" thing.  I'll file an upstream bug for that:

https://bugzilla.gnome.org/show_bug.cgi?id=599705

Comment 2 Jean-Philippe 2009-10-27 08:39:01 UTC
Thanks Dan;

I just requested everybody here on the local LUG to report their settings:
http://groups.google.com/group/pplug/browse_thread/thread/3aa9092ae5981d58

I have 3 already, I'll wait a few more days & commit them then.

Cheers
Jean-Philippe.

Comment 3 Dan Williams 2009-10-27 16:58:28 UTC
Fixed upstream:

2ca04dd645b811c4d22226527388c7e188af4286 (master)
688a1ccf4e86ebca809ed3acd0335dc9ad632354 (0.7.x)

There is now a "My country is not listed" option at the top of the countries list that allows you to manually enter your provider name and APN (if GSM).

Comment 4 Dan Williams 2009-10-27 17:18:37 UTC
Actually for master it's a1ed5bfcae0aeda51e0e177ea5da48695477f0e8

Comment 5 Jean-Philippe 2009-10-28 03:39:12 UTC
That was fast.

Here is the current list, as reported by end-users from real life:

Country: Cambodia (KH)

Operators code:

Hello (016)
N°: *99#
APN: hellowww
[reporting user: C. Brown chrisincambo//gmail.com]

Mobitel CellCard Corporate (012):
N°: *99#
username: mobitel
password: mobitel
APN: 3g
[reporting user: M. Bigdeli, maryam.bigdeli//gmail.com]

Mobitel CellCard Unlimited (012)
N°: *99#
username: mobitel
password: mobitel
APN: 3gtv
[reporting user: J.-Ph. Monteiro, jph//zenerves.net]

QBmore (013)
N°: *99#
APN: WAP
[reporting user: D. Jensen darren//yoolk.com] 

Star-Cell (098)
No: *99***1#
APN: internet
[Reporting User: P. Harper harper.paul.j//gmail.com]




Thanks!
[I'll let you know if I stumble upon more]

Comment 6 Jean-Philippe 2009-10-28 03:56:31 UTC
That was fast.

Here is the current list, as reported by end-users from real life:

Country: Cambodia (KH)

Operators code:

Hello (016)
N°: *99#
APN: hellowww
[reporting user: C. Brown chrisincambo//gmail.com]

Mobitel CellCard Corporate (012):
N°: *99#
username: mobitel
password: mobitel
APN: 3g
[reporting user: M. Bigdeli, maryam.bigdeli//gmail.com]

Mobitel CellCard Unlimited (012)
N°: *99#
username: mobitel
password: mobitel
APN: 3gtv
[reporting user: J.-Ph. Monteiro, jph//zenerves.net]

QBmore (013)
N°: *99#
APN: WAP
[reporting user: D. Jensen darren//yoolk.com] 

Star-Cell (098)
No: *99***1#
APN: internet
[Reporting User: P. Harper harper.paul.j//gmail.com]




Thanks!
[I'll let you know if I stumble upon more]

Comment 7 Jean-Philippe 2009-10-28 03:59:00 UTC
dunno why it posted itself 2 times (but my nokia keeps on disconnecting on me all the time). please remove.

Comment 9 Dan Williams 2009-11-02 17:18:47 UTC
I updated the upstream mobile broadband database with your info.  Many thanks to everyone who helped out!

http://git.gnome.org/cgit/mobile-broadband-provider-info/commit/?id=b385b02eb66205241bcc9b4a30d38a5ab9daed7b

Comment 10 Fedora Update System 2009-11-04 12:33:48 UTC
NetworkManager-0.7.1.998-1.fc11, mobile-broadband-provider-info-1.20090918-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager mobile-broadband-provider-info'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10696

Comment 11 Fedora Update System 2009-11-13 21:32:20 UTC
NetworkManager-0.7.996-7.git20091113.fc12,ModemManager-0.2-4.20091105.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.996-7.git20091113.fc12,ModemManager-0.2-4.20091105.fc12

Comment 12 Bug Zapper 2009-11-16 14:20:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Fedora Update System 2009-12-07 07:26:39 UTC
NetworkManager-0.7.996-7.git20091113.fc12, ModemManager-0.2-4.20091105.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-12-07 07:35:13 UTC
mobile-broadband-provider-info-1.20090918-1.fc11, NetworkManager-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-01-22 21:54:42 UTC
mobile-broadband-provider-info-1.20100122-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mobile-broadband-provider-info-1.20100122-1.fc12

Comment 16 Fedora Update System 2010-01-22 21:55:19 UTC
mobile-broadband-provider-info-1.20100122-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mobile-broadband-provider-info-1.20100122-1.fc11

Comment 17 Fedora Update System 2010-01-26 00:51:27 UTC
mobile-broadband-provider-info-1.20100122-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-01-26 00:58:33 UTC
mobile-broadband-provider-info-1.20100122-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Jean-Philippe 2010-02-10 03:10:06 UTC
Dan, thanks for this!

Yesterday with the PPLUG (Phnom Penh Linux User Group), we celebrated the 'coming' of Cambodia in NM at our weekly gathering.

No sooner did I notice that afternoon on a fresh install that NM 0.7.999-2 boasted both 'my country is not listed' and 'Cambodia', I switched my laptop to sleep in order to try this with friends (and beer).

Right there, yesterday night, I plugged my phone, selected 'Cambodia', then Mobitel, then my plan, and seconds later I was browsing away.


So, we had a second beer then, honoring your help to us, exotic nerds on the other side of the planet. 


Cheers,
with thanks from the PP linux community!

Jean-Philippe


Note You need to log in before you can comment on or make changes to this bug.